- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::error< T >::add_reason_helper< A, b > Struct Template Reference

Helper class to add reason to reason string. More...

`#include <sbuild-error.h>`

List of all members.

## Public Member Functions
| add_reason_helper (std::string &reason, A const &value)
| The constructor.

## Detailed Description

### template<typename T>
template<typename A, bool b>
struct sbuild::error< T >::add_reason_helper< A, b >

Helper class to add reason to reason string.

Used for non-exception types.

## Constructor & Destructor Documentation

template<typename T>
template<typename A, bool b>

sbuild::error< T >::add_reason_helper< A, b >::add_reason_helper | ( | std::string & | reason,
|  | A const & | value |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | reason | the reason to add to.
  | value | the value to add.

The documentation for this struct was generated from the following file:

- sbuild/sbuild-error.h